%Graph decoration using Figure and other properties
% Script name : prop_deco.m

%set renge
dt = pi/100; x = -3:dt:6; w = -2:2:2;
y(1,:) = (x-w(1).*exp(-x)).*cos(x-w(1)*pi/3);
y(2,:) = (x-w(2).*exp(-x)).*cos(x-w(2)*pi/3);
y(3,:) = (x-w(3).*exp(-x)).*cos(x-w(3)*pi/3);
%set title and explanatation
omg = '\omega';
equ = sprintf('y=(x-%s)*exp(-x)cos(x-%s%s/3)',omg,omg,'\pi');
prm = {sprintf('%s=%3.1f',omg,w(1)); ...
       sprintf('%s=%3.1f',omg,w(2)); ...
       sprintf('%s=%3.1f',omg,w(3));};
%figure windo
fig = figure;
plot(x,y,'LineWidth',1.5);
xlabel('x');    ylabel('y');    title(equ);
legend(prm,"Location","best");
set(fig,'NumberTitle','off');
%set(fig,"Name",tle);
fig.Name = sprintf('Parameters w=%3.1f to %3.1f',w(1),w(end));
fig.MenuBar = 'none';
set(gca,'XGrid','on');
set(gca,'YGrid','on');
